# Generated from ucert-0.2.57.gem by gem2rpm -*- rpm-spec -*-
%global gem_name ucert

Name: rubygem-%{gem_name}
Version: 0.2.57
Release: 1%{?dist}
Summary: A  Ruby library for enterprise user account certification / recertification / audit project
License: MIT
URL: http://www.linkedin.com/in/yangli8/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.9.3
BuildArch: noarch

%description
ucert is written to perform enterprise user ser account certification /
recertification / audit purpse. The user certification data are designed to be
automatically tracked by the software.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/adgrep
%{_bindir}/adp_dump
%{_bindir}/ad_dump
%{_bindir}/ad_update
%{_bindir}/aix_dump
%{_bindir}/audiolog_dump
%{_bindir}/bloomberg_dump
%{_bindir}/check21_dump
%{_bindir}/citidirect_be_dump
%{_bindir}/citidirect_sec_dump
%{_bindir}/citrixsf_dump
%{_bindir}/clear_par_dump
%{_bindir}/cmbrun_ny_dump
%{_bindir}/cvm_dump
%{_bindir}/db_direct_dump
%{_bindir}/egifts_dump
%{_bindir}/equinix_dump
%{_bindir}/frb_dump
%{_bindir}/go_contact_dump
%{_bindir}/jpm_dump
%{_bindir}/madison535_dump
%{_bindir}/mantis_dump
%{_bindir}/prime_dump
%{_bindir}/sage100_dump
%{_bindir}/sharefile_dump
%{_bindir}/som_dump
%{_bindir}/stb_dump
%{_bindir}/swift_dump
%{_bindir}/swift_online_dump
%{_bindir}/t24_dump
%{_bindir}/vpn_dump
%{_bindir}/wms_dump
%{_bindir}/yst_dump
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/TODO
%{gem_instdir}/bin
%{gem_instdir}/data
%{gem_instdir}/demos
%{gem_libdir}
%{gem_instdir}/version.txt
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/README.rdoc
%{gem_instdir}/Rakefile
%{gem_instdir}/test
%{gem_instdir}/ucert.gemspec

%changelog
* Thu Sep 16 2021 mockbuilder - 0.2.57-1
- Initial package
